Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	InetUtils is a collection of common network programs.
Name:      	inetutils
Version:   	1.8
Release:   	1
Epoch:		1
Provides:  	inetutils	
License: 	GNU/GPL
URL:		http://www.gnu.org/software/inetutils/inetutils.html
Group:     	Networking/Other
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires(Pre):		/sbin/install-info

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: ncurses-devel
BuildRequires: readline-devel

%description
InetUtils is a collection of common network programs. It includes (amongst others): 
An ftp client and server. 
A telnet client and server. 
An rsh client and server. 
An rlogin client and server. 
A tftp client and server. 
These are improved versions of programs originally from BSD. 

%post
/sbin/install-info %{_infodir}/inetutils.info.gz %{_infodir}/dir
ldconfig

%postun
ldconfig

 
%preun 
if [ "$1" = 0 ]; then 
     /sbin/install-info --del %{_infodir}/inetutils.info.gz %{_infodir}/dir 
fi 

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix --libexecdir=%_sbindir --sysconfdir=%_sysconfdir \
    --localstatedir=%_localstatedir --mandir=%_mandir --infodir=%_infodir \
    --disable-logger --disable-syslogd --disable-whois --disable-servers
make 

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT 
install -m 755 -d $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%_bindir/ping $RPM_BUILD_ROOT/bin

%files
%defattr(-,root,root)
%{_bindir}/rlogin
%{_bindir}/talk
%{_bindir}/rexec
%{_bindir}/telnet
%{_bindir}/rsh
%{_bindir}/ftp
%{_bindir}/tftp
%{_bindir}/rcp
%{_mandir}/man1/rsh.1.gz
%{_mandir}/man1/talk.1.gz
%{_mandir}/man1/tftp.1.gz
%{_mandir}/man1/rcp.1.gz
%{_mandir}/man1/ftp.1.gz
%{_mandir}/man1/ping.1.gz
%{_mandir}/man1/rexec.1.gz
%{_mandir}/man1/telnet.1.gz
%{_mandir}/man1/rlogin.1.gz
%{_infodir}/inetutils.info.gz

%exclude %{_mandir}/man1/traceroute.1.gz
%exclude %{_mandir}/man1/hostname.1.gz
%exclude %{_mandir}/man1/ifconfig.1.gz
%exclude %{_mandir}/man1/ping.1.gz
%exclude %{_mandir}/man1/ping6.1.gz
%exclude %{_bindir}/ifconfig
%exclude %{_bindir}/hostname
%exclude %{_bindir}/traceroute
%exclude %attr(4755,root,root) /bin/ping
%exclude %{_bindir}/ping6
%exclude %{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.8-1
- Version update
- excluded ping/ping6 in favour of iputils version
* Sun Jan 17 2010 Stefan Gottwald <gotti@ccux-linux.de> 1:1.7-1
- Version update
* Fri Oct 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:1.4.2-6
- Downgrade, inetutils 1.5 is badly broken
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.5-1
- Version update
* Sun Jul 17 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.2-5
- Moved ping to proper FHS location
* Wed Jul 13 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.2-4
- Added Prereq tag, tweaked specfile
* Sun Jul 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.4.2-3
- rebuilt spec 
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 1.4.2-2
- Initial Release
